﻿@model Tuple<List<CRPageMapView>, CompanyView>
@{
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@Companies.CRPM</h1>

@using (Html.BeginForm("ConfirmAction", "Companies", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formCRPageMap" }))
{
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@Companies.CD</h3>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">@Companies.SN</label>
                <div class="col-md-4">
                    @Html.LabelForModel(Model.Item2.Server, new { @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-1 control-label">@Companies.DBName</label>
                <div class="col-md-4">
                    @Html.LabelForModel(Model.Item2.CompanyDB, new { @class = "form-control" })
                </div>
            </div>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@Companies.TM</h3>
        </div>
        <div class="panel-body">
            <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                <div id="TableItemsForm">
                    @Html.Partial("_CRPageMapTable", Model.Item1)
                </div>
            </div>
            
            <div class="clear1"></div>
            <div class="divider"></div>

            <div class="col-md-12 no-padding">
                <button type="button" id="btNew" class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#myModalAdd">@Companies.AN</button>
            </div>

        </div>

    </div>

    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>@Companies.CRUpdateMessage</strong>
    </div>

    <div class="but_blok_footer">
        <div class="col-md-12">
            <button type="button" id="btnOk" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
            @Html.ActionLink(@Companies.Cancel, "Index", "Companies", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
        </div>
    </div>

    @Html.HiddenFor(model => model.Item2.IdCompany, new { @id = "IdCompany" });
}

@*Modal Items*@
<div class="modal fade" id="myModalAdd" tabindex="-1" role="dialog" aria-labelledby="myModalAddLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" style="width: 500px;">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalAddLabel">@Companies.AM</h4>
            </div>
            <div class="">
                <div class="panel-body" style="width: 100% !Important;">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="Load" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBody" >
                            @*Aca es donde por javascript coloco la grilla con las paginas disponibles.*@
                        </div>
                    </div>

                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                <button type="button" id="btnChoose" class="btn btn-primary">@PurchaseOrders.Choose</button>
            </div>
        </div>
    </div>
</div>

@Html.Partial("_MessagePartial", @Companies.AYSTYWTRTR)
@Scripts.Render("~/bundles/CRPageMap")
